Upload File
Uploads a file on S3 bucket and shares a unique link back
Query Parameters
fileType Filetype required
Type of file being uploaded
filePurpose Filepurpose required
Brief description of the file being uploaded
customerId Customerid
Customer ID
journeyType Journeytype
Default value: DIY
Journey Type e.g. DIY
multipart/form-data
Request Body required
file binary required
file in binay format
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
reqId Reqid
errors object[]
errorType Errortype
Error Type
errorMessage Errormessage
Error Message
data object
fileUrl Fileurl
Unique S3 link for a file
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"fileUrl": "string"
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...